---
title: Quickstart for GitHub Discussions
intro: 'Enable {% data variables.product.prodname_discussions %} on an existing repository and start conversations with your community.'
allowTitleToDifferFromFilename: true
versions:
  fpt: '*'
  ghec: '*'
shortTitle: Quickstart
---


## Introduction

{% data variables.product.prodname_discussions %} is a collaborative communication forum for the community around an open source project. Discussions are for conversations that need to be transparent and accessible but do not need to be tracked on a project board and are not related to code, unlike {% data variables.product.prodname_github_issues %}. Discussions enable fluid, open conversation in a public forum.

Discussions give a space for more collaborative conversations by connecting and giving a more centralized area to connect and find information.

## Enabling {% data variables.product.prodname_discussions %} on your repository

Repository owners and people with write access can enable {% data variables.product.prodname_discussions %} for a community on their public and private repositories.

When you first enable {% data variables.product.prodname_discussions %}, you will be invited to configure a welcome post.

{% data reusables.repositories.navigate-to-repo %}
1. Under your repository name, click {% octicon "gear" aria-label="The gear icon" %}
**Settings**.
![Public settings button](/assets/images/help/discussions/public-repo-settings.png)
1. Under "Features", click **Set up discussions**.
  ![Set up a discussion button under "Features" for enabling or disabling GitHub Discussions for a repository](/assets/images/help/discussions/setup-discussions-button.png)
1. Under "Start a new discussion," edit the template to align with the resources and tone you want to set for your community.
1. Click **Start discussion**.
  !["Start discussion" button](/assets/images/help/discussions/new-discussion-start-discussion-button.png)

## Welcoming contributions to your discussions

You can welcome your community and introduce a new way to communicate in a repository by creating a welcome post and pinning the post to your {% data variables.product.prodname_discussions %} page. Pinning and locking discussions helps people know that a post is meant as an announcement. You can use announcements as a way to link people to more resources and offer guidance for opening discussions in your community. For more information about pinning a discussion, see "[Managing discussions in your repository](/discussions/managing-discussions-for-your-community/managing-discussions-in-your-repository#pinning-a-discussion)."


## Setting up community guidelines for contributors

You can set contributing guidelines to encourage collaborators to have meaningful, useful conversations that are relevant to the repository. You can also update the repository's README to communicate expectations on when collaborators should open an issue or discussion.

For more information about providing guidelines for your project, see "[Adding a code of conduct to your project](/communities/setting-up-your-project-for-healthy-contributions/adding-a-code-of-conduct-to-your-project)" and "[Setting up your project for healthy contributions](/communities/setting-up-your-project-for-healthy-contributions)."

## Creating a new discussion

Any authenticated user who can view a repository can create a discussion.

{% data reusables.discussions.starting-a-discussion %}

## Organizing discussions

Repository owners and people with write access can create new categories to keep discussions organized. Collaborators participating and creating new discussions can group discussions into the most relevant existing categories. Discussions can also be recategorized after they are created. For more information, see "[Managing categories for discussions in your repository](/discussions/managing-discussions-for-your-community/managing-categories-for-discussions-in-your-repository)."

{% data reusables.discussions.you-can-label-discussions %}

## Promoting healthy conversations

People with write permissions for a repository can help surface important conversations by pinning discussions, deleting discussions that are no longer useful or are damaging to the community, and transferring discussions to more relevant repositories owned by the organization. For more information, see "[Managing discussions in your repository](/discussions/managing-discussions-for-your-community/managing-discussions-in-your-repository)."

People with triage permissions for a repository can help moderate a project's discussions by marking comments as answers, locking discussions that are no longer useful or are damaging to the community, and converting issues to discussions when an idea is still in the early stages of development. For more information, see "[Moderating discussions](/discussions/managing-discussions-for-your-community/moderating-discussions)."

## Next steps

Once there is a clear path to scope work out and move an idea from concept to reality, you can create an issue and start tracking your progress. For more information on creating an issue from a discussion, see "[Moderating discussions](/discussions/managing-discussions-for-your-community/moderating-discussions)."
